<template>
  <div class="row">
    <div class="col-xs-12 col-md-6">
      <h2>Permissions</h2>
      <div class="form-group">
        <div class="row">
          <div class="col-xs-6">
            <label for="canCreateUser">Créer des utilisateurs&nbsp;:</label>
          </div>
          <div class="col-xs-6">
            <input
              id="canCreateUser"
              v-model="user.canCreateUser"
              disabled="disabled"
              name="canCreateUser"
              type="checkbox"
            >
          </div>
        </div>
      </div>
      <div class="form-group">
        <div class="row">
          <div class="col-xs-6">
            <label for="canAccessData">Accéder au tableau de bord&nbsp;:</label>
          </div>
          <div class="col-xs-6">
            <input
              id="canAccessData"
              v-model="user.canAccessData"
              disabled="disabled"
              name="canAccessData"
              type="checkbox"
            >
          </div>
        </div>
      </div>
      <div class="form-group">
        <div class="row">
          <div class="col-xs-6">
            <label for="canUploadDsnFile">Ajouter des fichiers DSN&nbsp;:</label>
          </div>
          <div class="col-xs-6">
            <input
              id="canUploadDsnFile"
              v-model="user.canUploadDsnFile"
              disabled="disabled"
              name="canUploadDsnFile"
              type="checkbox"
            >
          </div>
        </div>
      </div>
    </div>
    <div class="col-xs-12 col-md-6">
      <h2>Rôle</h2>
      <div class="form-group">
        <select
          id="dsnpRoles"
          v-model="user.dsnpRole"
          disabled="disabled"
          name="dsnpRole"
          class="form-control"
          required="required"
        >
          <option value="admindsnp">
            Administrateur
          </option>
          <option value="grouperh">
            Responsable des ressources humaines
          </option>
          <option value="partenaire">
            Membre du comité sociale de l’entreprise
          </option>
        </select>
        <br>
        <i><u><b>Administrateur</b></u> :<br> Accède à toutes les données issues des fichiers DSN et peut créer des Index d'égalité Femmes-Hommes ainsi que des BDES.</i><br><br>
        <i><u><b>Responsable des ressources humaines</b></u> :<br> Accède à toutes les données issues des fichiers DSN.</i><br><br>
        <i><u><b>Membre du comité social de l’entreprise</b></u> :<br> Accède seulement au données agrégées et aux résultats des index d’égalité femmes-hommes et des BDES.</i>
      </div>
    </div>
  </div>
</template>

<script>
import {mapGetters} from 'vuex'

export default {
  name: "Permissions",
  computed: {
    ...mapGetters([
      'user'
    ]),
  }
}
</script>

<style scoped>

</style>